Skip to main content
POST
/
v1
/
image
/
composite
{
  "input": "https://example.com/photo.jpg",
  "overlay_url": "https://example.com/overlay.png",
  "x": 10,
  "y": 10
}
curl -X POST https://api.ringbee.dev/v1/image/composite \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@photo.jpg" \
  -F "overlay_url=https://example.com/overlay.png" \
  -F "x=10" \
  -F "y=10"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/photo.jpg",
  "overlay_url": "https://example.com/overlay.png",
  "x": 10,
  "y": 10
}
curl -X POST https://api.ringbee.dev/v1/image/composite \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@photo.jpg" \
  -F "overlay_url=https://example.com/overlay.png" \
  -F "x=10" \
  -F "y=10"
ParamTypeDescription
overlay_urlstringURL of the overlay image
xintegerHorizontal offset in pixels
yintegerVertical offset in pixels

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

overlay_url
string

URL of the overlay image

x
integer

Horizontal offset in pixels

y
integer

Vertical offset in pixels

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"